pion::plugin::data_type Struct Reference

`#include <plugin.hpp>`

## Public Member Functions

| data_type (void)
| default constructors for convenience
| data_type (const std::string &plugin_name)
| data_type (const data_type &p)

## Public Attributes

void * | m_lib_handle
| symbol library loaded from a shared object file
void * | m_create_func
| function used to create instances of the plug-in object
void * | m_destroy_func
| function used to destroy instances of the plug-in object
std::string | m_plugin_name
| the name of the plugin (must be unique per process)
unsigned long | m_references
| number of references to this class

## Detailed Description

data_type: object to hold shared library symbols

Definition at line 139 of file plugin.hpp.

The documentation for this struct was generated from the following file:

- include/pion/plugin.hpp